# $Revision: 1.159 $, $Date: 2012/02/26 15:22:34 $
#
# Conditional build:
%bcond_with	static	# build static version
#
Summary:	Enhanced Bourne shell
Summary(de.UTF-8):	Enhanced Bourne Shell
Summary(es.UTF-8):	Shell bourne mejorada
Summary(fr.UTF-8):	Bourne shell amélioré
Summary(hu.UTF-8):	Kiterjesztett Bourne Shell
Summary(pl.UTF-8):	Ulepszona powłoka Bourne'a
Summary(pt_BR.UTF-8):	Shell bourne melhorada
Summary(ru.UTF-8):	Командный процессор (shell) похожый на ksh, но с улучшениями
Summary(tr.UTF-8):	Gelişmiş bir BASH sürümü
Summary(uk.UTF-8):	Командний процесор (shell) схожий на ksh, але з покращеннями
Name:		zsh
Version:	4.3.17
Release:	1
License:	BSD-like
Group:		Applications/Shells
Source0:	ftp://sunsite.icm.edu.pl/pub/unix/shells/zsh/%{name}-%{version}.tar.bz2
# Source0-md5:	8258967060b2654f30001a011946ac6a
#Source0:	ftp://ftp.zsh.org/pub/%{name}-%{version}.tar.bz2
Source1:	%{name}.1.pl
Source2:	http://zsh.sunsite.dk/Guide/%{name}guide.pdf
# Source2-md5:	70cc3760dd8140f9aed693d484cd87dc
Source3:	zprofile
Source4:	%{name}rc
Patch0:		%{name}-info.patch
Patch1:		%{name}-addons.patch
Patch2:		%{name}-paths.patch
Patch3:		%{name}-completions.patch
Patch4:		%{name}-nolibs.patch
URL:		http://www.zsh.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	gdbm-devel
%{?with_static:BuildRequires:	glibc-static}
BuildRequires:	libcap-devel
BuildRequires:	ncurses-devel >= 5.1
%{?with_static:BuildRequires:	ncurses-static}
BuildRequires:	pcre-devel
BuildRequires:	rpmbuild(macros) >= 1.470
BuildRequires:	texinfo
BuildRequires:	yodl
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	findutils
Obsoletes:	zsh-doc-dvi
Obsoletes:	zsh-doc-html
Obsoletes:	zsh-doc-ps
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		specflags_ia32	-fomit-frame-pointer

%description
zsh is an enhanced version of the Bourne shell with csh additions and
most features of ksh, bash, and tcsh.

%description -l es.UTF-8
zsh es una versión mejorada del bourne shell con estas
características:
- muy próximo de la gramática del ksh/sh, con adiciones csh,
- varias características del ksh, bash y tcsh,
- 75 funciones empotradas, 89 opciones, 154 combinaciones de teclas,
- selección,
- funciones shell ...y mucho más.

%description -l ja.UTF-8
zsh シェルは対話的なログインシェルとして利用可能なコマンドインタリタ
であり、シェルスクリプトコマンドも処理できます. zsh は ksh(the Korn
shell) に似ていますが,かなり拡張されています. zsh
はコマンドラインでの編集機能, 組み込まれたスペル修正機能, プログラミン
グ可能なコマンド補完機能, (動的ロードされる)シェル機能, ヒストリ機構
などを持ちます.

%description  -l hu.UTF-8
zsh a Bourne shell egy kiterjesztett verziója csh kiegészítésekkel és
a ksh, bash és csh legtöbb lehetőségével felvértezve.

%description -l pl.UTF-8
zsh jest ulepszoną powłoką Bourne'a z elementami powłoki csh. Posiada
większość cech ksh, bash i tcsh.

%description -l pt_BR.UTF-8
zsh é uma versão melhorada do bourne shell com essas características:
- muito próximo da gramática do ksh/sh, com adições csh,
- várias características do ksh, bash e tcsh,
- 75 funções embutidas, 89 opções, 154 combinações de teclas,
- seleção,
- funções shell ...e muito mais.

%description -l ru.UTF-8
zsh - это командный процессор напоминающий ksh (Korn shell), но
включающий много улучшений. zsh поддерживает редактирование командной
строки, встроенную коррекцию написания, программируемое завершение
команд, shell-функции (с автозагрузкой), историю команд и многое
другое.

%description -l uk.UTF-8
zsh - це командний процесор, що нагадує ksh (Korn shell), але включає
багато покращень. zsh підтримує редагування командного рядка,
вбудовану корекцію написання, програмоване завершення команд,
shell-функції (з автозавантаженням), історію команд та багато іншого.

%package completions
Summary:	Files needed for advanced TAB-completion
Summary(hu.UTF-8):	A haladó TAB-kiegészítéshez szükséges fájlok
Summary(pl.UTF-8):	Pliki potrzebne dla zaawansowanej TAB-completion
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Conflicts:	kdesdk-completions-zsh <= 3:3.2.3-2

%description completions
This package contains files needed for advanced tab completion in zsh.

%description completions -l hu.UTF-8
Ez a csomag tartalmazza a haladó TAB-kiegészítéshez szükséges fájlokat
a zsh shell-hez.

%description completions -l pl.UTF-8
Ten pakiet zawiera pliki wymagane przez zsh dla zaawansowanej
TAB-completion.

%package static
Summary:	Statically linked Enhanced Bourne shell
Summary(hu.UTF-8):	A zsh statikus verziója
Summary(pl.UTF-8):	Zaawansowana powłoka Bourne'a - skonsolidowana statycznie
Group:		Applications/Shells
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	%{name} = %{version}-%{release}

%description static
zsh is an enhanced version of the Bourne shell with csh additions and
most features of ksh, bash, and tcsh.

%description static -l hu.UTF-8
A zsh statikus verziója.

%description static -l pl.UTF-8
zsh jest ulepszoną powłoką Bourne'a z elementami powłoki csh. Posiada
większość cech ksh, bash i tcsh. W tym pakiecie jest wersja
skonsolidowana statycznie.

%package guide
Summary:	A User's Guide to the Z-Shell
Summary(hu.UTF-8):	Felhasználói útmutató a Z-Shell-hez
Summary(pl.UTF-8):	Podręcznik Użytkownika Z-Shella
Group:		Documentation
URL:		http://zsh.sunsite.dk/Guide/

%description guide
A User's Guide to the Z-Shell.

%description guide -l hu.UTF-8
Felhasználói útmutató a Z-Shell-hez.

%description guide -l pl.UTF-8
Podręcznik Użytkownika Z-Shella.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

install %{SOURCE2} .

find Functions -type f -exec %{__sed} -i -e 's|#!.*/zsh|#!/bin/zsh|g' "{}" ";"

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%{__autoheader}
echo > stamp-h.in
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"

%if %{with static}
LDFLAGS="%{rpmldflags} -static"
%configure \
	--enable-maildir-support \
	--enable-multibyte \
	--with-tcsetpgrp \
	--disable-dynamic
%{__make} \
	DLLDFLAGS=""
mv -f Src/zsh Src/zsh.static
%{__make} clean || :
LDFLAGS="%{rpmldflags}"
%endif

%configure \
	ac_cv_have_dev_ptmx=yes \
	--enable-maildir-support \
	--enable-cap \
	--enable-pcre \
	--enable-multibyte \
	--with-curses-terminfo \
	--with-tcsetpgrp
%{__make}

cd Doc
makeinfo zsh.texi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_sysconfdir},%{_bindir},%{_mandir}/pl/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_static:install Src/zsh.static $RPM_BUILD_ROOT%{_bindir}}
install Doc/zsh.info* $RPM_BUILD_ROOT%{_infodir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/{zlogin,zlogout,zshenv}
touch $RPM_BUILD_ROOT%{_sysconfdir}/{zlogin,zlogout,zprofile,zshenv,zshrc}.zwc
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}

%{__rm} Etc/Makefile*
find Functions Util StartupFiles -name .distfiles -o -name .cvsignore | xargs rm -f
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/zsh.1

# for kdesdk's completion
ln -sf %{version} $RPM_BUILD_ROOT%{_datadir}/zsh/latest

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} > /dev/null 2>&1
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/zsh" >> /etc/shells
else
	grep -q '^%{_bindir}/zsh$' /etc/shells || echo "%{_bindir}/zsh" >> /etc/shells
fi
for i in zlogin zlogout zprofile zshenv zshrc; do
	[ -f /etc/$i ] && zsh -c "zcompile /etc/$i"
done

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v '^%{_bindir}/zsh$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post static
umask 022
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/zsh.static" >> /etc/shells
else
	grep -q '^%{_bindir}/zsh\.static$' /etc/shells || echo "%{_bindir}/zsh.static" >> /etc/shells
fi

%preun static
if [ "$1" = "0" ]; then
	umask 022
	grep -v '^%{_bindir}/zsh\.static$' /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%files
%defattr(644,root,root,755)
%doc Etc/* README LICENCE ChangeLog META-FAQ Util StartupFiles
%attr(755,root,root) %{_bindir}/zsh
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/*[!w]?
%ghost %{_sysconfdir}/*.zwc
%dir %{_libdir}/zsh
%dir %{_libdir}/zsh/%{version}*
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/latest
%dir %{_datadir}/zsh/%{version}*
%dir %{_datadir}/zsh/%{version}*/scripts
%{_datadir}/zsh/%{version}*/scripts/newuser
%dir %{_datadir}/zsh/%{version}*/functions
%{_datadir}/zsh/%{version}*/functions/[!_c]*
%{_datadir}/zsh/%{version}*/functions/c[!o]*
%{_datadir}/zsh/%{version}*/functions/co[!m]*
%attr(755,root,root) %{_libdir}/zsh/%{version}*/*
%{_infodir}/zsh.info*
%{_mandir}/man1/zsh*.1*
%lang(pl) %{_mandir}/pl/man1/zsh*.1*

%files completions
%defattr(644,root,root,755)
%{_datadir}/zsh/%{version}*/functions/comp*
%{_datadir}/zsh/%{version}*/functions/_*

%files guide
%defattr(644,root,root,755)
%doc zshguide.pdf

%if %{with static}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/zsh.static
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zsh.spec,v $
Revision 1.159  2012/02/26 15:22:34  arekm
- up to 4.3.17

Revision 1.158  2012/01/13 14:12:07  zbyniu
- up to 4.3.15

Revision 1.157  2012/01/10 15:55:30  lisu
- no more separated libtinfo(w)

Revision 1.156  2011/12/09 19:01:18  arekm
- rel 2; zshrc improvements

Revision 1.155  2011/12/08 16:22:02  qboosh
- BR: gdbm-devel

Revision 1.154  2011/12/08 08:07:00  arekm
- up to 4.3.14

Revision 1.153  2011/11/22 21:31:01  arekm
- rel 3

Revision 1.152  2011/09/01 06:49:01  arekm
- release 2

Revision 1.151  2011/06/01 13:02:20  marti
- up to 4.3.12
- change Source0 to faster official mirror

Revision 1.150  2010/12/21 09:14:55  lisu
- updated to 4.3.11

Revision 1.149  2010/07/08 05:25:23  uzsolt
- hu
- removed zsh-lovers todo, see zsh-lovers package

Revision 1.148  2010/04/03 13:09:45  sparky
- some adapterization

Revision 1.147  2010/02/11 21:01:09  glen
- force tinfo as term lib

Revision 1.146  2010/01/22 17:55:22  glen
- release 2

Revision 1.145  2009/06/01 17:00:20  draenog
- up to 4.3.10

Revision 1.144  2009/02/19 08:27:29  arekm
- release 3

Revision 1.143  2009/02/11 19:14:08  arekm
- rel 2

Revision 1.142  2008/11/30 14:13:42  arekm
- up to 4.3.9

Revision 1.141  2008/08/27 21:19:00  qboosh
- macros for rpmcppflags

Revision 1.140  2008/08/27 21:13:51  qboosh
- reenabled info patch

Revision 1.139  2008/04/03 09:17:40  glen
- release 2

Revision 1.138  2008-04-02 19:16:23  arekm
- up to 4.3.6

Revision 1.137  2008-02-09 19:28:44  glen
- rel 2

Revision 1.136  2008-02-04 19:01:21  arekm
- up to 4.3.5

Revision 1.135  2008-01-28 20:59:59  arekm
- rel 4

Revision 1.134  2008-01-28 17:17:20  wrobell
- rel. 3 to rebuild with new libcap

Revision 1.133  2008-01-24 01:23:04  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.132  2007-06-24 17:38:59  arekm
- rel 2; fix paths to zsh

Revision 1.131  2007/06/24 14:37:09  arekm
- rel 1

Revision 1.130  2007/06/24 14:31:07  lisu
- 4.3.4

Revision 1.129  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.128  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.127  2006/09/24 17:47:15  twittner
- allow to pass CPPFLAGS from environment

Revision 1.126  2006/09/24 11:11:44  arekm
- always enable lfs

Revision 1.125  2006/08/13 20:21:17  qrczak
- zsh-autoconf.spec: fix for autoconf 2.60

Revision 1.124  2006/03/04 21:45:27  arekm
- merged from DEVEL

Revision 1.123  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.122  2005/12/12 16:30:23  czucz
- %{_includedir} macro used

Revision 1.121  2005/12/06 16:12:23  twittner
- up to 4.2.6 - changes: mostly minor bugfixes to configuration and
  internals. A few enhancements were made to completion functions
- removed -svn.patch - similar fixes are included in sources

Revision 1.120  2005/09/15 21:24:04  arekm
- ups

Revision 1.118.2.12  2006/03/03 20:39:00  wolf
- 4.3.2

Revision 1.118.2.11  2006/02/05 17:20:48  arekm
- up to 20060205 snap

Revision 1.118.2.10  2006/01/22 10:01:47  pluto
- BR:automake for config.sub.

Revision 1.118.2.9  2006/01/11 09:33:25  wrobell
- todo added

Revision 1.118.2.8  2005/12/16 08:52:24  arekm
- more options

Revision 1.118.2.7  2005/12/16 08:47:11  arekm
- explictly set some configure options

Revision 1.118.2.6  2005/12/16 08:14:23  arekm
- up to snap 20051216.

Revision 1.118.2.5  2005/11/24 10:28:23  pluto
- static build disabled by default.

Revision 1.118.2.4  2005/11/17 17:45:18  arekm
- md5

Revision 1.118.2.3  2005/11/17 17:33:39  arekm
- up to snap 20051117

Revision 1.118.2.2  2005/09/15 21:28:30  arekm
- fix md5

Revision 1.118.2.1  2005/09/15 21:24:22  arekm
- 4.3 snap

Revision 1.119  2005/09/15 21:23:31  arekm
- 4.3 snap

Revision 1.118  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.117  2005/05/12 06:50:44  paszczus
- works for me; release 1

Revision 1.116  2005/04/12 08:53:25  paszczus
- updated to 4.2.5
- updated zsh-broken_configure.patch
- updated zsh-nolibs.patch (i`m not sure about that update)
- adaptarized
- release 0.1 for tests

Revision 1.115  2005/02/03 17:37:11  malekith
- third df test

Revision 1.114  2005/02/03 17:24:49  malekith
- second df test

Revision 1.113  2005/02/03 17:22:05  malekith
- df test

Revision 1.112  2005/02/03 17:14:11  pawelb
- up to 4.2.4

Revision 1.111  2005/01/16 09:24:56  paszczus
- updated to 4.2.3
- updated Source0 URL
- updated zsh-completions.patch (need review)
- release 1

Revision 1.110  2004/12/30 14:01:31  wolf
- s/find/&utils/

Revision 1.109  2004/12/30 00:28:23  wolf
- R: find (zshrc uses it)

Revision 1.108  2004/10/21 14:27:17  wolf
- fix svn completion
- rel 3

Revision 1.107  2004/09/06 22:26:50  gotar
- release 2 (rebuild with fixed backspace on remote xterm)

Revision 1.106  2004/09/02 20:51:50  wolf
- 4.2.1

Revision 1.105  2004/07/12 23:15:03  ankry
- Conflicts added

Revision 1.104  2004/07/06 16:03:10  djurban
- fix group

Revision 1.103  2004/06/20 21:37:07  arekm
- fix specflags (quotation here is buggy)

Revision 1.102  2004/05/07 08:43:28  qboosh
- added nolibs patch (avoids -liconv)
- strict internal deps, release 5

Revision 1.101  2004/04/16 19:22:12  wiget
- fix building terminfo module
- force /dev/ptmx detection
- release 4

Revision 1.100  2004/04/12 00:36:25  gotar
- enable-{pcre,cap}, release 3

Revision 1.99  2004/03/31 08:01:25  gotar
- added %ghost %{_sysconfdir}/*.zwc

Revision 1.98  2004/03/31 00:26:40  gotar
- fixed %install,
- added compilation of configuration files to %post,
- release 2.

Revision 1.97  2004/03/30 23:48:21  gotar
- extracted zprofile and zshrc

Revision 1.96  2004/03/27 15:54:59  wolf
- 4.2.0

Revision 1.95  2004/02/12 18:02:16  wolf
- rel 9 - fixed xterm title

Revision 1.94  2004/01/30 19:39:46  eothane
- few cleanups

Revision 1.93  2004/01/30 19:23:23  eothane
- new bcond style, changelog cosmetics

Revision 1.92  2004/01/26 00:44:46  undefine
- copy config.sub to allow build on amd64, release 8

Revision 1.91  2004/01/25 23:28:08  arekm
- zsh.static is now really static; rel 7

Revision 1.90  2003/10/25 13:25:42  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.89  2003/10/11 14:41:09  gotar
- do not ignore all cd commands!

Revision 1.88  2003/10/05 23:21:25  pius
- really fix mc-history-mess issue

Revision 1.87  2003/09/16 09:04:52  gotar
- do not use fucking terminal sequences!!!
- added bindkey for quoted insert,
- two aliases for mc not to mess history,
- release 6.

Revision 1.86  2003/09/15 22:39:04  blues
- *all* key binding and function is back to zshrc

Revision 1.85  2003/09/15 14:35:48  blues
- release 5 - moved all zsh initial settings into /etc/profile in setup

Revision 1.84  2003/09/13 22:31:52  wolf
- blah

Revision 1.83  2003/09/13 21:19:10  wolf
- set xterm title to 'user@hostname: directory'

Revision 1.82  2003/09/11 14:04:04  gotar
- release 4: rebuild with libcap rev. 1.40

Revision 1.81  2003/09/11 13:42:33  gotar
- merged from DEVEL

Revision 1.79  2003/09/11 09:25:44  gotar
- upgraded to 4.0.7,
- epoch 1 to enable upgrade from 4.1.1 which is now on DEVEL branch.

Revision 1.78  2003/09/11 08:49:31  qboosh
- removed grep and fileutils from PreReq - they is Requires(post,preun) already

Revision 1.77  2003/09/11 08:33:31  gotar
- moved 1.69 to HEAD, 1.76 to DEVEL: zsh 4.1.1 is developement release

Revision 1.75  2003/08/05 21:00:02  blues
- cosmetics

Revision 1.74  2003/07/30 22:53:47  gotar
- BR: libcap-devel, pcre-devel,
- release 3.

Revision 1.73  2003/07/29 13:00:47  gotar
- segfault fix by Wayne Davison <wayned^users$sourceforge.net>

Revision 1.72  2003/06/28 19:36:25  gotar
- -fomit-frame-pointer on ia32

Revision 1.71  2003/06/19 21:50:58  wolf
- rel down to 1

Revision 1.70  2003/06/19 14:22:33  gotar
- upgraded to 4.1.1

Revision 1.69  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.68  2003/05/26 16:25:55  malekith
- massive attack: adding Source-md5

Revision 1.67  2003/05/25 06:28:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.66  2003/04/24 23:04:32  gotar
- no more optimizations

Revision 1.65  2003/04/24 11:54:34  gotar
- added -Os to %optflags

Revision 1.64  2003/04/21 19:24:37  gotar
- switched to bz2 source

Revision 1.63  2003/04/21 18:35:39  gotar
- added -fomit-frame-pointer to %optflags

Revision 1.62  2003/04/21 15:52:51  wolf
- gotar's completions

Revision 1.61  2003/02/11 20:08:25  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.60  2002/11/21 09:56:04  qboosh
- don't mess - moved that symlink to package; release 4

Revision 1.59  2002/11/21 00:29:55  radek
- this fancy ln(1) thing cannot be in %pre -- it fails on new
  installations, 'cause %{_datadir}/zsh belongs to (suprise) this package.

Revision 1.58  2002/11/17 15:37:46  wolf
- added gotar's fixes for xterm's home, end, del

Revision 1.57  2002/11/17 01:29:47  wolf
- added guide
- rel 3

Revision 1.56  2002/11/14 22:39:09  djurban
- Modified in order to work with kdesdk's completion.

Revision 1.55  2002/08/24 09:31:15  kloczek
- updated to 4.0.6.

Revision 1.54  2002/08/18 22:55:00  gotar
- Requires(post,preun): grep for main package and static subpackage,
- %verify flags for %config files,
- cosmetics,
- release 10,
- there's new version available, maybe someone would upgrade?

Revision 1.53  2002/07/27 15:34:02  kloczek
- releas 9: merge translations from TurboLinux and use new %doc.

Revision 1.52  2002/05/21 23:15:10  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/05/11 19:13:46  migo
- Release: 7, STBR

Revision 1.50  2002/05/11 19:12:03  migo
- zsh now will be detected properly in /etc/profile, so Home/End and other
  keys will work by default

Revision 1.49  2002/04/13 06:13:08  kloczek
- merge translations from KSI.

Revision 1.48  2002/04/13 06:10:11  kloczek
- bump release to 6.

Revision 1.47  2002/02/22 23:30:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.46  2002/02/09 19:24:45  kloczek
- release 3,
- merge translations from Conectiva and adapterize spec file.

Revision 1.45  2002/02/08 08:57:13  filon
- updated to 4.0.4 (big buch of bugfixes)
- updated tinfo patch

Revision 1.44  2002/01/18 02:15:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/15 23:26:06  ankry
- added pl man page
- release 6

Revision 1.42  2001/08/28 11:39:04  filon
- provides : which was very stupid, rolled back

Revision 1.41  2001/08/25 11:52:15  filon
- added alias which=whence to zshrc
- added Provides: which

Revision 1.40  2001/07/26 12:01:54  migo
- zsh-static comes back
- added _without_static bcond
- release 5; STB

Revision 1.39  2001/07/26 05:42:27  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2001/07/19 07:37:25  migo
- moved some files from %doc to %{_datadir}
- added completions subpackage
- release++

Revision 1.36  2001/07/19 07:21:15  migo
- removed forgotten "%files static" section

Revision 1.35  2001/07/18 19:43:34  migo
- removed zsh-static subpackage (it was broken)

Revision 1.34  2001/07/15 16:46:27  qboosh
- prevent rpm from expanding "macros" in PS1
- added example zlogin/zshenv/zshrc to %doc
- removed .distfiles and .cvsignore from %doc

Revision 1.33  2001/07/11 20:07:53  kloczek
- release 3,
- added no_nis patch: remove all NIS/NIS+ feactures from zsh - glibs have
  very good NSS support - now zsh isn't linked with libnsl.

Revision 1.32  2001/07/04 15:51:42  kloczek
- bump release to 2.

Revision 1.31  2001/06/29 06:30:30  kloczek
- updated to 4.0.2,
- removed outdated patches and added paths patch (s#/usr/ucb#/usr/X11r6/bin#
  in default path).

Revision 1.30  2001/05/18 16:14:57  qboosh
- license is BSD-like, not GPL (added "LICENCE" with copyright notice)
- release 9

Revision 1.29  2001/03/20 18:19:15  qboosh
- rewritten (and simplified) post/preun scripts - they were buggy
- moved fix-info-dir to postun
- Prereq: fileutils, grep
- release 8

Revision 1.28  2001/03/14 17:44:36  qboosh
- s/preuni static/preun static/
- release 7

Revision 1.27  2001/03/11 12:16:16  kloczek
- simplifications in %files and added %{_libdir}/zsh to %files.

Revision 1.26  2001/03/11 00:55:22  misiek
- fixed _bindir; rel 6; stb

Revision 1.25  2000/12/05 18:22:49  misiek
- PS1 more beautiful

Revision 1.24  2000/12/05 18:22:03  misiek
- added PS1 setting in zshrc; process /etc/profile at login

Revision 1.23  2000/12/05 17:38:51  kloczek
- release 5: fixes in %post/%preun scripts.

Revision 1.22  2000/12/04 07:21:30  kloczek
- missing "static" in %preun script header.

Revision 1.21  2000/12/04 07:19:01  kloczek
- release 4,
- fix: remap only %{_bindir} to /bin instead remapew %{_exec_prefix}
  (this was cause placing man pages and additional modules in incorrect
  path),
- rewrite %post, %preun /etc/shell manipulation scripts like in pdksh and
  bash.

Revision 1.20  2000/10/02 23:10:51  kloczek
- release 3: adapterized and added using rpm new automation suit.

Revision 1.19  2000/09/24 21:09:03  kloczek
- removed doc subpackages.

Revision 1.18  2000/07/13 23:30:26  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.17  2000/06/09 07:55:17  kloczek
- more %{__make} macros.

Revision 1.16  2000/06/09 07:24:26  kloczek
- added using %{__make} macro.

Revision 1.15  2000/06/06 11:44:22  bonkey
- v.3.1.9
- huge doc package still in there ;-)

Revision 1.14  2000/06/05 14:33:52  kura
- updated to 3.1.8

Revision 1.13  2000/05/31 13:51:43  bonkey
- v.3.1.7
- added documentation
- static version
- removed zsh-config2.patch
- added zsh-sys_capability.patch zsh-cap_get_proc.patch
  zsh-tinfo.patch zsh-addons.patch
- some languages corrections
- added doc-{html,ps,dvi} packages
- full info documentation
- added maildir-support

Revision 1.12  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.11  2000/05/23 14:27:35  kura
- updated to 3.1.7-pre-4

Revision 1.10  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.9  2000/05/01 20:11:43  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.8  2000/04/17 06:51:03  kloczek
- spec adapteized.

Revision 1.7  2000/04/13 19:17:29  bonkey
- updated to 3.1.6-dev-22
- there is no static version, cause there is no libcap-static

Revision 1.6  2000/04/01 11:16:03  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:29  baggins
- translated kloczkish into english

Revision 1.4  1999/11/01 23:54:47  kloczek
- added staic subpacakage with staticaly linked zsh,
- added BuildRequires rules,
- added info and DESTDIR patches.

Revision 1.3  1999/10/25 00:04:44  kura
[3.1.6-3]
- added info documents
- small fixes

Revision 1.2  1999/09/04 15:17:23  kura
- Updated to 3.1.6
- Added more macros
- Small fixes

Revision 1.1  1999/07/23 12:49:26  kura
- Initial RPM release
